> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get annotations

> Returns all annotations for project



## OpenAPI

````yaml GET /api/annotations
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - api_key: []
paths:
  /api/annotations:
    get:
      description: Returns all annotations for project
      responses:
        '200':
          description: Annotation response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Annotation'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Annotation:
      required:
        - name
      type: object
      properties:
        id:
          description: The ID of the annotation
          type: string
        projectId:
          description: The ID of the project
          type: string
        traceId:
          description: The ID of the trace
          type: string
        comment:
          description: The comment of the annotation
          type: string
        isThumbsUp:
          description: The thumbs up status of the annotation
          type: boolean
        userId:
          description: The ID of the user
          type: string
        createdAt:
          description: The created at of the annotation
          type: string
        updatedAt:
          description: The updated at of the annotation
          type: string
        email:
          description: The email of the user
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-Auth-Token

````